function [ Itrain1 ] = BlockMissing(Itrain,ImageSize, areanumber)
% Itrain - The input training samples matrix
% areanumber - the column or row of the missing area
% Itrain1 - the output occluded training samples matrix
[m,n]=size(Itrain);
% ImageSize=sqrt(m);
% ImageSize=[]
%Itrain1=mat2gray(Itrain);
%Itrain1=zeros(m,n);
for i=1:n
    rowk=randi([1,ImageSize(1)-areanumber(1)],1,1); 
    colk=randi([1,ImageSize(2)-areanumber(2)],1,1);
    sample1=reshape(Itrain(:,i),ImageSize(1),ImageSize(2));
    sample1(rowk:rowk+areanumber(1),colk:colk+areanumber(2))=1e-27;
    % set the missing entries = 1e-27 for easy index detection 
    sample1=reshape(sample1,m,1);
    Itrain1(:,i)=sample1;
end
