function R1s=NNC(fea,gnd,trainIdx,testIdx,testDims,strlbl)
numDisMsr=1;

[ttlNum,maxDim]=size(fea);

fea_Train = fea(trainIdx,:);
% fea_Train=fea(:,:,trainIdx);
gnd_Train = gnd(trainIdx);
 fea_Test = fea(testIdx,:);
% fea_Test=fea(:,:,testIdx);
gnd_Test = gnd(testIdx);

clear fea gnd trainIdx testIdx

nTrain = size(fea_Train,1);
nTest = size(fea_Test,1);
nDim=max(size(testDims));

R1s=zeros(nDim,numDisMsr);
disp(['Matching ',strlbl,' starts at ',datestr(now,0)]);
for iDim=1:nDim    
    Dim=testDims(iDim);
    feaTrn=fea_Train(:,1:Dim);
    feaTst=fea_Test(:,1:Dim);
    DMat=EuDistCal(feaTst,feaTrn);
    [minDs,minIdxs]=min(DMat, [], 2);
    IDs=gnd_Train(minIdxs);
    R1s(iDim,1)=sum(IDs==gnd_Test)/nTest;
    %save R1s R1s
end

function D = EuDistCal(fea_a,fea_b)
% Euclidean Distance matrix
%   D = EuDist(fea_a,fea_b)
%   fea_a:    nSample_a * nFeature
%   fea_b:    nSample_b * nFeature
%   D:      or  nSample_a * nSample_b
[nSmp_a, nFea] = size(fea_a);
[nSmp_b, nFea] = size(fea_b);
aa = sum(fea_a.*fea_a,2);
bb = sum(fea_b.*fea_b,2);
ab = fea_a*fea_b';
clear fea_a fea_b
D = sqrt(repmat(aa, 1, nSmp_b) + repmat(bb', nSmp_a, 1) - 2*ab);